import {select , csv , scaleLinear , max } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const render = data => {
  const xScale = scaleLinear()
  	.domain([0, max(data,d => d.population) ]);
  	.range([0,width]);
  
  console.log(xScale.range());
  
	svg.selectAll('rect').data(data)
  	.enter().append('rect')
  		.attr('width',300)
  		.attr('height',300)
};

csv('data.csv').then(data => {
  data.forEach(d => {
    d.population = +d.population *1000;
  });
  render(data);
});

